ros-kilted-forward-command-controller (4.23.0-2noble) noble; urgency=high

  * Use global cmake macros and fix gcc-10 build (#1527 <https://github.com/ros-controls/ros2_controllers/issues/1527>)
  * Contributors: Christoph Fröhlich

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 10 Apr 2025 05:00:00 -0000

ros-kilted-forward-command-controller (4.22.0-2noble) noble; urgency=high

  * [ForwardCommandController] Fix the duplicate command interface types when reconfiguring the controller (#1568 <https://github.com/ros-controls/ros2_controllers/issues/1568>)
  * Contributors: Sai Kishor Kothakota

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 17 Mar 2025 05:00:00 -0000

ros-kilted-forward-command-controller (4.21.0-2noble) noble; urgency=high

  * Cleanup wrong lifecycle transitions in tests and unnecessary checks (#1534 <https://github.com/ros-controls/ros2_controllers/issues/1534>)
  * Contributors: Christoph Fröhlich

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 01 Mar 2025 06:00:00 -0000

ros-kilted-forward-command-controller (4.20.0-2noble) noble; urgency=high

  * Update paths of GPL includes (#1487 <https://github.com/ros-controls/ros2_controllers/issues/1487>)
  * Contributors: Christoph Fröhlich

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 29 Jan 2025 06:00:00 -0000

ros-kilted-forward-command-controller (4.19.0-2noble) noble; urgency=high

  * Remove visibility macros (#1451 <https://github.com/ros-controls/ros2_controllers/issues/1451>)
  * Contributors: Bence Magyar

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 13 Jan 2025 06:00:00 -0000

ros-kilted-forward-command-controller (4.18.0-2noble) noble; urgency=high

  * [CI] Add clang job and setup concurrency (#1407 <https://github.com/ros-controls/ros2_controllers/issues/1407>)
  * Contributors: Christoph Fröhlich

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 19 Dec 2024 06:00:00 -0000

ros-kilted-forward-command-controller (4.17.0-2noble) noble; urgency=high

  * Use the .hpp headers from realtime_tools package (#1406 <https://github.com/ros-controls/ros2_controllers/issues/1406>)
  * Add few warning flags to error in all ros2_controllers packages and fix tests (#1370 <https://github.com/ros-controls/ros2_controllers/issues/1370>)
  * Update maintainers and add url tags (#1363 <https://github.com/ros-controls/ros2_controllers/issues/1363>)
  * Contributors: Christoph Fröhlich, Sai Kishor Kothakota

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 07 Dec 2024 06:00:00 -0000

ros-kilted-forward-command-controller (4.16.0-2noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 08 Nov 2024 06:00:00 -0000

ros-kilted-forward-command-controller (4.15.0-2noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 07 Oct 2024 05:00:00 -0000

ros-kilted-forward-command-controller (4.14.0-2noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 11 Sep 2024 05:00:00 -0000

ros-kilted-forward-command-controller (4.13.0-2noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 22 Aug 2024 05:00:00 -0000

ros-kilted-forward-command-controller (4.12.1-2noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 14 Aug 2024 05:00:00 -0000

ros-kilted-forward-command-controller (4.12.0-2noble) noble; urgency=high

  * Unused header cleanup (#1199 <https://github.com/ros-controls/ros2_controllers/issues/1199>)
  * Fix WaitSet issue in tests  (#1206 <https://github.com/ros-controls/ros2_controllers/issues/1206>)
  * Fix parallel gripper controller CI (#1202 <https://github.com/ros-controls/ros2_controllers/issues/1202>)
  * Contributors: Henry Moore, Sai Kishor Kothakota

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 23 Jul 2024 05:00:00 -0000

ros-kilted-forward-command-controller (4.11.0-2noble) noble; urgency=high

  * added changes corresponding to the logger and clock propagation in ResourceManager (#1184 <https://github.com/ros-controls/ros2_controllers/issues/1184>)
  * Contributors: Sai Kishor Kothakota

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 09 Jul 2024 05:00:00 -0000

ros-kilted-forward-command-controller (4.10.0-2noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 01 Jul 2024 05:00:00 -0000

ros-kilted-forward-command-controller (4.9.0-2noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 05 Jun 2024 05:00:00 -0000

ros-kilted-forward-command-controller (4.8.0-2noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 14 May 2024 05:00:00 -0000

ros-kilted-forward-command-controller (4.7.0-2noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 22 Mar 2024 05:00:00 -0000

ros-kilted-forward-command-controller (4.6.0-2noble) noble; urgency=high

  * Add test_depend on hardware_interface_testing (#1018 <https://github.com/ros-controls/ros2_controllers/issues/1018>)
  * Fix tests for using new get_node_options API (#840 <https://github.com/ros-controls/ros2_controllers/issues/840>)
  * Contributors: Christoph Fröhlich, Sai Kishor Kothakota

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 12 Feb 2024 06:00:00 -0000

ros-kilted-forward-command-controller (4.5.0-2noble) noble; urgency=high

  * Add tests for interface_configuration_type consistently (#899 <https://github.com/ros-controls/ros2_controllers/issues/899>)
  * Contributors: Christoph Fröhlich

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 31 Jan 2024 06:00:00 -0000

ros-kilted-forward-command-controller (4.4.0-2noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 11 Jan 2024 06:00:00 -0000

ros-kilted-forward-command-controller (4.3.0-2noble) noble; urgency=high

  * Add few warning flags to error (#961 <https://github.com/ros-controls/ros2_controllers/issues/961>)
  * Contributors: Sai Kishor Kothakota

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 08 Jan 2024 06:00:00 -0000

ros-kilted-forward-command-controller (4.2.0-2noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 12 Dec 2023 06:00:00 -0000

ros-kilted-forward-command-controller (4.1.0-2noble) noble; urgency=high

  * Increase test coverage of interface configuration getters (#856 <https://github.com/ros-controls/ros2_controllers/issues/856>)
  * Contributors: Christoph Fröhlich

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 01 Dec 2023 06:00:00 -0000

ros-kilted-forward-command-controller (4.0.0-2noble) noble; urgency=high

  * fix tests for API break of passing controller manager update rate in init method (#854 <https://github.com/ros-controls/ros2_controllers/issues/854>)
  * Resort overview page (#846 <https://github.com/ros-controls/ros2_controllers/issues/846>)
  * Adjust tests after passing URDF to controllers (#817 <https://github.com/ros-controls/ros2_controllers/issues/817>)
  * Contributors: Bence Magyar, Christoph Fröhlich, Sai Kishor Kothakota

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 21 Nov 2023 06:00:00 -0000

ros-kilted-forward-command-controller (3.17.0-2noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 31 Oct 2023 05:00:00 -0000

ros-kilted-forward-command-controller (3.16.0-2noble) noble; urgency=high

  * [Doc] Add specific documentation on the available fw cmd controllers (#765 <https://github.com/ros-controls/ros2_controllers/issues/765>)
  * Contributors: Christoph Fröhlich

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 20 Sep 2023 05:00:00 -0000

ros-kilted-forward-command-controller (3.15.0-2noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 11 Sep 2023 05:00:00 -0000

ros-kilted-forward-command-controller (3.14.0-2noble) noble; urgency=high

  * Use tabs (#743 <https://github.com/ros-controls/ros2_controllers/issues/743>)
  * Contributors: Christoph Fröhlich

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 16 Aug 2023 05:00:00 -0000

ros-kilted-forward-command-controller (3.13.0-2noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 04 Aug 2023 05:00:00 -0000

ros-kilted-forward-command-controller (3.12.0-2noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 18 Jul 2023 05:00:00 -0000

ros-kilted-forward-command-controller (3.11.0-2noble) noble; urgency=high

  * Added -Wconversion flag and fix warnings (#667 <https://github.com/ros-controls/ros2_controllers/issues/667>)
  * Let sphinx add parameter description to documentation (#651 <https://github.com/ros-controls/ros2_controllers/issues/651>)
  * Contributors: Christoph Fröhlich, gwalck

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 24 Jun 2023 05:00:00 -0000

ros-kilted-forward-command-controller (3.10.1-2noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 06 Jun 2023 05:00:00 -0000

ros-kilted-forward-command-controller (3.10.0-2noble) noble; urgency=high

  * enable ReflowComments to also use ColumnLimit on comments (#625 <https://github.com/ros-controls/ros2_controllers/issues/625>)
  * Contributors: Sai Kishor Kothakota

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 04 Jun 2023 05:00:00 -0000

ros-kilted-forward-command-controller (3.9.0-2noble) noble; urgency=high

  * Use branch name substitution for all links (#618 <https://github.com/ros-controls/ros2_controllers/issues/618>)
  * Fix github links on control.ros.org (#604 <https://github.com/ros-controls/ros2_controllers/issues/604>)
  * Contributors: Christoph Fröhlich

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 28 May 2023 05:00:00 -0000

ros-kilted-forward-command-controller (3.8.0-2noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 14 May 2023 05:00:00 -0000

ros-kilted-forward-command-controller (3.7.0-2noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 02 May 2023 05:00:00 -0000

ros-kilted-forward-command-controller (3.6.0-2noble) noble; urgency=high

  * Renovate load controller tests (#569 <https://github.com/ros-controls/ros2_controllers/issues/569>)
  * Fix docs format (#589 <https://github.com/ros-controls/ros2_controllers/issues/589>)
  * Contributors: Bence Magyar, Christoph Fröhlich

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 29 Apr 2023 05:00:00 -0000

ros-kilted-forward-command-controller (3.5.0-2noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 14 Apr 2023 05:00:00 -0000

ros-kilted-forward-command-controller (3.4.0-2noble) noble; urgency=high

  * Fix broken links (#554 <https://github.com/ros-controls/ros2_controllers/issues/554>)
  * Update docs (#552 <https://github.com/ros-controls/ros2_controllers/issues/552>)
  * Contributors: Christoph Fröhlich

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 02 Apr 2023 05:00:00 -0000

ros-kilted-forward-command-controller (3.3.0-2noble) noble; urgency=high

  * Add comments about auto-generated header files (#539 <https://github.com/ros-controls/ros2_controllers/issues/539>)
  * Contributors: AndyZe

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 07 Mar 2023 06:00:00 -0000

ros-kilted-forward-command-controller (3.2.0-2noble) noble; urgency=high

  * Fix overriding of install (#510 <https://github.com/ros-controls/ros2_controllers/issues/510>)
  * Contributors: Tyler Weaver, Chris Thrasher

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 10 Feb 2023 06:00:00 -0000

ros-kilted-forward-command-controller (3.1.0-2noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 26 Jan 2023 06:00:00 -0000

ros-kilted-forward-command-controller (3.0.0-2noble) noble; urgency=high

  * Add backward_ros to all controllers (#489 <https://github.com/ros-controls/ros2_controllers/issues/489>)
  * Contributors: Bence Magyar

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 19 Jan 2023 06:00:00 -0000

ros-kilted-forward-command-controller (2.15.0-2noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 06 Dec 2022 06:00:00 -0000

ros-kilted-forward-command-controller (2.14.0-2noble) noble; urgency=high

  * Generate params for ForwardCommandController (#396 <https://github.com/ros-controls/ros2_controllers/issues/396>)
  * Contributors: Tyler Weaver

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 18 Nov 2022 06:00:00 -0000

ros-kilted-forward-command-controller (2.13.0-2noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 05 Oct 2022 05:00:00 -0000

ros-kilted-forward-command-controller (2.12.0-2noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 01 Sep 2022 05:00:00 -0000

ros-kilted-forward-command-controller (2.11.0-2noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 04 Aug 2022 05:00:00 -0000

ros-kilted-forward-command-controller (2.10.0-2noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 01 Aug 2022 05:00:00 -0000

ros-kilted-forward-command-controller (2.9.0-2noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 14 Jul 2022 05:00:00 -0000

ros-kilted-forward-command-controller (2.8.0-2noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 09 Jul 2022 05:00:00 -0000

ros-kilted-forward-command-controller (2.7.0-2noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 03 Jul 2022 05:00:00 -0000

ros-kilted-forward-command-controller (2.6.0-2noble) noble; urgency=high

  * CMakeLists cleanup (#362 <https://github.com/ros-controls/ros2_controllers/issues/362>)
  * Fix exception about parameter already been declared & Change default c++ version to 17 (#360 <https://github.com/ros-controls/ros2_controllers/issues/360>)
    * Default C++ version to 17
    * Replace explicit use of declare_paremeter with auto_declare
  * Contributors: Andy Zelenak, Jafar Abdi

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 18 Jun 2022 05:00:00 -0000

ros-kilted-forward-command-controller (2.5.0-2noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 13 May 2022 05:00:00 -0000

ros-kilted-forward-command-controller (2.4.0-2noble) noble; urgency=high

  * Multi-interface Forward Controller (#154 <https://github.com/ros-controls/ros2_controllers/issues/154>)
  * updated to use node getter functions (#329 <https://github.com/ros-controls/ros2_controllers/issues/329>)
  * Contributors: Bence Magyar, Denis Štogl, Jack Center

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 29 Apr 2022 05:00:00 -0000

ros-kilted-forward-command-controller (2.3.0-2noble) noble; urgency=high

  * Use CallbackReturn from controller_interface namespace (#333 <https://github.com/ros-controls/ros2_controllers/issues/333>)
  * Contributors: Bence Magyar, Denis Štogl

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 21 Apr 2022 05:00:00 -0000

ros-kilted-forward-command-controller (2.2.0-2noble) noble; urgency=high

  * Use lifecycle node as base for controllers (#244 <https://github.com/ros-controls/ros2_controllers/issues/244>)
  * Contributors: Denis Štogl, Vatan Aksoy Tezer, Bence Magyar

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 25 Mar 2022 05:00:00 -0000

ros-kilted-forward-command-controller (2.1.0-2noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 23 Feb 2022 06:00:00 -0000

ros-kilted-forward-command-controller (2.0.1-2noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 01 Feb 2022 06:00:00 -0000

ros-kilted-forward-command-controller (2.0.0-2noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 28 Jan 2022 06:00:00 -0000

ros-kilted-forward-command-controller (1.3.0-2noble) noble; urgency=high

  * Adding reset() for forward_command_controller (#283 <https://github.com/ros-controls/ros2_controllers/issues/283>)
  * Contributors: bailaC

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 11 Jan 2022 06:00:00 -0000

ros-kilted-forward-command-controller (1.2.0-2noble) noble; urgency=high

  * Forward command controller test update (#273 <https://github.com/ros-controls/ros2_controllers/issues/273>)
    * removed unnecessary lines and updated comments
    * fixed pre-commit issues
    * removed extra part of test
  * Contributors: Jack Center

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 29 Dec 2021 06:00:00 -0000

ros-kilted-forward-command-controller (1.1.0-2noble) noble; urgency=high

  * Move interface sorting into ControllerInterface (#259 <https://github.com/ros-controls/ros2_controllers/issues/259>)
  * Revise for-loop style (#254 <https://github.com/ros-controls/ros2_controllers/issues/254>)
  * Contributors: bailaC

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 25 Oct 2021 05:00:00 -0000

ros-kilted-forward-command-controller (1.0.0-2noble) noble; urgency=high

  * Reset and test of command buffer for forwarding controllers. (#246 <https://github.com/ros-controls/ros2_controllers/issues/246>)
  * Remove compile warnings. (#245 <https://github.com/ros-controls/ros2_controllers/issues/245>)
  * Add time and period to update function (#241 <https://github.com/ros-controls/ros2_controllers/issues/241>)
  * ros2_controllers code changes to support ros2_controls issue #489 <https://github.com/ros-controls/ros2_controllers/issues/489> (#233 <https://github.com/ros-controls/ros2_controllers/issues/233>)
  * Removing Boost from controllers. (#235 <https://github.com/ros-controls/ros2_controllers/issues/235>)
  * Contributors: Bence Magyar, Denis Štogl, bailaC

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 29 Sep 2021 05:00:00 -0000

ros-kilted-forward-command-controller (0.5.0-2noble) noble; urgency=high

  * Add auto declaration of parameters. (#224 <https://github.com/ros-controls/ros2_controllers/issues/224>)
  * Bring precommit config up to speed with ros2_control (#227 <https://github.com/ros-controls/ros2_controllers/issues/227>)
  * Add initial pre-commit setup. (#220 <https://github.com/ros-controls/ros2_controllers/issues/220>)
  * Reduce docs warnings and correct adding guidelines (#219 <https://github.com/ros-controls/ros2_controllers/issues/219>)
  * Contributors: Bence Magyar, Denis Štogl, Lovro Ivanov

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 30 Aug 2021 05:00:00 -0000

ros-kilted-forward-command-controller (0.4.1-2noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 08 Jul 2021 05:00:00 -0000

ros-kilted-forward-command-controller (0.4.0-2noble) noble; urgency=high

  * Force torque sensor broadcaster (#152 <https://github.com/ros-controls/ros2_controllers/issues/152>)
    * Add  rclcpp::shutdown(); to all standalone test functions
  * Fix parameter initialisation for galactic (#199 <https://github.com/ros-controls/ros2_controllers/issues/199>)
  * Contributors: Denis Štogl, Tim Clephas

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 28 Jun 2021 05:00:00 -0000

ros-kilted-forward-command-controller (0.3.1-2noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 23 May 2021 05:00:00 -0000

ros-kilted-forward-command-controller (0.3.0-2noble) noble; urgency=high

  * [JointTrajectoryController] Enable position, velocity and acceleration interfaces (#140 <https://github.com/ros-controls/ros2_controllers/issues/140>)
    * joint_trajectory_controller should not go into FINALIZED state when fails to configure, remain in UNCONFIGURED
  * Contributors: Denis Štogl, Bence Magyar

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 21 May 2021 05:00:00 -0000

ros-kilted-forward-command-controller (0.2.1-2noble) noble; urgency=high

  * Migrate from deprecated controller_interface::return_type::SUCCESS -> OK (#167 <https://github.com/ros-controls/ros2_controllers/issues/167>)
  * Add basic user docs pages for each package (#156 <https://github.com/ros-controls/ros2_controllers/issues/156>)
  * Contributors: Bence Magyar

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 03 May 2021 05:00:00 -0000

ros-kilted-forward-command-controller (0.2.0-2noble) noble; urgency=high

  * Use ros2 contol test assets (#138 <https://github.com/ros-controls/ros2_controllers/issues/138>)
    * Add description to test trajecotry_controller
    * Use ros2_control_test_assets package
    * Delete obsolete components plugin export
  * Contributors: Denis Štogl

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 06 Feb 2021 06:00:00 -0000

ros-kilted-forward-command-controller (0.1.2-2noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 07 Jan 2021 06:00:00 -0000

ros-kilted-forward-command-controller (0.1.1-2noble) noble; urgency=high

  * Restore forward command derivatives (#133 <https://github.com/ros-controls/ros2_controllers/issues/133>)
  * Contributors: Bence Magyar

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 06 Jan 2021 06:00:00 -0000

ros-kilted-forward-command-controller (0.1.0-2noble) noble; urgency=high

  * ForwardCommandController declares parameters (#131 <https://github.com/ros-controls/ros2_controllers/issues/131>)
  * Remove lifecycle node controllers (#124 <https://github.com/ros-controls/ros2_controllers/issues/124>)
  * joint state controller with resource manager (#109 <https://github.com/ros-controls/ros2_controllers/issues/109>)
  * forward_command_controller (#87 <https://github.com/ros-controls/ros2_controllers/issues/87>)
  * Contributors: Bence Magyar, Jordan Palacios, Karsten Knese, Victor Lopez

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 23 Dec 2020 06:00:00 -0000


